Viewing docs for Oracle Cloud Infrastructure v4.5.1
published on Friday, Apr 3, 2026 by Pulumi
published on Friday, Apr 3, 2026 by Pulumi
Viewing docs for Oracle Cloud Infrastructure v4.5.1
published on Friday, Apr 3, 2026 by Pulumi
published on Friday, Apr 3, 2026 by Pulumi
This data source provides details about a specific Security Policy Deployment Security Policy Entry State resource in Oracle Cloud Infrastructure Data Safe service.
Gets a security policy entity states by identifier.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testSecurityPolicyDeploymentSecurityPolicyEntryState = oci.DataSafe.getSecurityPolicyDeploymentSecurityPolicyEntryState({
securityPolicyDeploymentId: testSecurityPolicyDeployment.id,
securityPolicyEntryStateId: testSecurityPolicyEntryState.id,
});
import pulumi
import pulumi_oci as oci
test_security_policy_deployment_security_policy_entry_state = oci.DataSafe.get_security_policy_deployment_security_policy_entry_state(security_policy_deployment_id=test_security_policy_deployment["id"],
security_policy_entry_state_id=test_security_policy_entry_state["id"])
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/datasafe"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := datasafe.GetSecurityPolicyDeploymentSecurityPolicyEntryState(ctx, &datasafe.GetSecurityPolicyDeploymentSecurityPolicyEntryStateArgs{
SecurityPolicyDeploymentId: testSecurityPolicyDeployment.Id,
SecurityPolicyEntryStateId: testSecurityPolicyEntryState.Id,
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testSecurityPolicyDeploymentSecurityPolicyEntryState = Oci.DataSafe.GetSecurityPolicyDeploymentSecurityPolicyEntryState.Invoke(new()
{
SecurityPolicyDeploymentId = testSecurityPolicyDeployment.Id,
SecurityPolicyEntryStateId = testSecurityPolicyEntryState.Id,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.DataSafe.DataSafeFunctions;
import com.pulumi.oci.DataSafe.inputs.GetSecurityPolicyDeploymentSecurityPolicyEntryStateArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var testSecurityPolicyDeploymentSecurityPolicyEntryState = DataSafeFunctions.getSecurityPolicyDeploymentSecurityPolicyEntryState(GetSecurityPolicyDeploymentSecurityPolicyEntryStateArgs.builder()
.securityPolicyDeploymentId(testSecurityPolicyDeployment.id())
.securityPolicyEntryStateId(testSecurityPolicyEntryState.id())
.build());
}
}
variables:
testSecurityPolicyDeploymentSecurityPolicyEntryState:
fn::invoke:
function: oci:DataSafe:getSecurityPolicyDeploymentSecurityPolicyEntryState
arguments:
securityPolicyDeploymentId: ${testSecurityPolicyDeployment.id}
securityPolicyEntryStateId: ${testSecurityPolicyEntryState.id}
Using getSecurityPolicyDeploymentSecurityPolicyEntryState
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSecurityPolicyDeploymentSecurityPolicyEntryState(args: GetSecurityPolicyDeploymentSecurityPolicyEntryStateArgs, opts?: InvokeOptions): Promise<GetSecurityPolicyDeploymentSecurityPolicyEntryStateResult>
function getSecurityPolicyDeploymentSecurityPolicyEntryStateOutput(args: GetSecurityPolicyDeploymentSecurityPolicyEntryStateOutputArgs, opts?: InvokeOptions): Output<GetSecurityPolicyDeploymentSecurityPolicyEntryStateResult>def get_security_policy_deployment_security_policy_entry_state(security_policy_deployment_id: Optional[str] = None,
security_policy_entry_state_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSecurityPolicyDeploymentSecurityPolicyEntryStateResult
def get_security_policy_deployment_security_policy_entry_state_output(security_policy_deployment_id: Optional[pulumi.Input[str]] = None,
security_policy_entry_state_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSecurityPolicyDeploymentSecurityPolicyEntryStateResult]func GetSecurityPolicyDeploymentSecurityPolicyEntryState(ctx *Context, args *GetSecurityPolicyDeploymentSecurityPolicyEntryStateArgs, opts ...InvokeOption) (*GetSecurityPolicyDeploymentSecurityPolicyEntryStateResult, error)
func GetSecurityPolicyDeploymentSecurityPolicyEntryStateOutput(ctx *Context, args *GetSecurityPolicyDeploymentSecurityPolicyEntryStateOutputArgs, opts ...InvokeOption) GetSecurityPolicyDeploymentSecurityPolicyEntryStateResultOutput> Note: This function is named GetSecurityPolicyDeploymentSecurityPolicyEntryState in the Go SDK.
public static class GetSecurityPolicyDeploymentSecurityPolicyEntryState
{
public static Task<GetSecurityPolicyDeploymentSecurityPolicyEntryStateResult> InvokeAsync(GetSecurityPolicyDeploymentSecurityPolicyEntryStateArgs args, InvokeOptions? opts = null)
public static Output<GetSecurityPolicyDeploymentSecurityPolicyEntryStateResult> Invoke(GetSecurityPolicyDeploymentSecurityPolicyEntryStateInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSecurityPolicyDeploymentSecurityPolicyEntryStateResult> getSecurityPolicyDeploymentSecurityPolicyEntryState(GetSecurityPolicyDeploymentSecurityPolicyEntryStateArgs args, InvokeOptions options)
public static Output<GetSecurityPolicyDeploymentSecurityPolicyEntryStateResult> getSecurityPolicyDeploymentSecurityPolicyEntryState(GetSecurityPolicyDeploymentSecurityPolicyEntryStateArgs args, InvokeOptions options)
fn::invoke:
function: oci:DataSafe/getSecurityPolicyDeploymentSecurityPolicyEntryState:getSecurityPolicyDeploymentSecurityPolicyEntryState
arguments:
# arguments dictionaryThe following arguments are supported:
- Security
Policy stringDeployment Id - The OCID of the security policy deployment resource.
- Security
Policy stringEntry State Id - Unique security policy entry state identifier. The unique id for a given security policy entry state can be obtained from the list api by passing the OCID of the corresponding security policy deployment resource as the query parameter.
- Security
Policy stringDeployment Id - The OCID of the security policy deployment resource.
- Security
Policy stringEntry State Id - Unique security policy entry state identifier. The unique id for a given security policy entry state can be obtained from the list api by passing the OCID of the corresponding security policy deployment resource as the query parameter.
- security
Policy StringDeployment Id - The OCID of the security policy deployment resource.
- security
Policy StringEntry State Id - Unique security policy entry state identifier. The unique id for a given security policy entry state can be obtained from the list api by passing the OCID of the corresponding security policy deployment resource as the query parameter.
- security
Policy stringDeployment Id - The OCID of the security policy deployment resource.
- security
Policy stringEntry State Id - Unique security policy entry state identifier. The unique id for a given security policy entry state can be obtained from the list api by passing the OCID of the corresponding security policy deployment resource as the query parameter.
- security_
policy_ strdeployment_ id - The OCID of the security policy deployment resource.
- security_
policy_ strentry_ state_ id - Unique security policy entry state identifier. The unique id for a given security policy entry state can be obtained from the list api by passing the OCID of the corresponding security policy deployment resource as the query parameter.
- security
Policy StringDeployment Id - The OCID of the security policy deployment resource.
- security
Policy StringEntry State Id - Unique security policy entry state identifier. The unique id for a given security policy entry state can be obtained from the list api by passing the OCID of the corresponding security policy deployment resource as the query parameter.
getSecurityPolicyDeploymentSecurityPolicyEntryState Result
The following output properties are available:
- Deployment
Status string - The current deployment status of the security policy deployment and the security policy entry associated.
- Deployment
Status stringDetails - Details about the current deployment status.
- Entry
Details List<GetSecurity Policy Deployment Security Policy Entry State Entry Detail> - Details specific to the security policy entry.
- Entry
Type string - The security policy entry type. Allowed values:
- FIREWALL_POLICY - The SQL Firewall policy entry type.
- AUDIT_POLICY - The audit policy entry type.
- CONFIG - Config changes deployment.
- Id string
- The provider-assigned unique ID for this managed resource.
- Security
Policy stringDeployment Id - The OCID of the security policy deployment associated.
- Security
Policy stringEntry Id - The OCID of the security policy entry type associated.
- Security
Policy stringEntry State Id - Target
Id string - The OCID of the target on which the security policy is deployed.
- Deployment
Status string - The current deployment status of the security policy deployment and the security policy entry associated.
- Deployment
Status stringDetails - Details about the current deployment status.
- Entry
Details []GetSecurity Policy Deployment Security Policy Entry State Entry Detail - Details specific to the security policy entry.
- Entry
Type string - The security policy entry type. Allowed values:
- FIREWALL_POLICY - The SQL Firewall policy entry type.
- AUDIT_POLICY - The audit policy entry type.
- CONFIG - Config changes deployment.
- Id string
- The provider-assigned unique ID for this managed resource.
- Security
Policy stringDeployment Id - The OCID of the security policy deployment associated.
- Security
Policy stringEntry Id - The OCID of the security policy entry type associated.
- Security
Policy stringEntry State Id - Target
Id string - The OCID of the target on which the security policy is deployed.
- deployment
Status String - The current deployment status of the security policy deployment and the security policy entry associated.
- deployment
Status StringDetails - Details about the current deployment status.
- entry
Details List<GetSecurity Policy Deployment Security Policy Entry State Entry Detail> - Details specific to the security policy entry.
- entry
Type String - The security policy entry type. Allowed values:
- FIREWALL_POLICY - The SQL Firewall policy entry type.
- AUDIT_POLICY - The audit policy entry type.
- CONFIG - Config changes deployment.
- id String
- The provider-assigned unique ID for this managed resource.
- security
Policy StringDeployment Id - The OCID of the security policy deployment associated.
- security
Policy StringEntry Id - The OCID of the security policy entry type associated.
- security
Policy StringEntry State Id - target
Id String - The OCID of the target on which the security policy is deployed.
- deployment
Status string - The current deployment status of the security policy deployment and the security policy entry associated.
- deployment
Status stringDetails - Details about the current deployment status.
- entry
Details GetSecurity Policy Deployment Security Policy Entry State Entry Detail[] - Details specific to the security policy entry.
- entry
Type string - The security policy entry type. Allowed values:
- FIREWALL_POLICY - The SQL Firewall policy entry type.
- AUDIT_POLICY - The audit policy entry type.
- CONFIG - Config changes deployment.
- id string
- The provider-assigned unique ID for this managed resource.
- security
Policy stringDeployment Id - The OCID of the security policy deployment associated.
- security
Policy stringEntry Id - The OCID of the security policy entry type associated.
- security
Policy stringEntry State Id - target
Id string - The OCID of the target on which the security policy is deployed.
- deployment_
status str - The current deployment status of the security policy deployment and the security policy entry associated.
- deployment_
status_ strdetails - Details about the current deployment status.
- entry_
details Sequence[GetSecurity Policy Deployment Security Policy Entry State Entry Detail] - Details specific to the security policy entry.
- entry_
type str - The security policy entry type. Allowed values:
- FIREWALL_POLICY - The SQL Firewall policy entry type.
- AUDIT_POLICY - The audit policy entry type.
- CONFIG - Config changes deployment.
- id str
- The provider-assigned unique ID for this managed resource.
- security_
policy_ strdeployment_ id - The OCID of the security policy deployment associated.
- security_
policy_ strentry_ id - The OCID of the security policy entry type associated.
- security_
policy_ strentry_ state_ id - target_
id str - The OCID of the target on which the security policy is deployed.
- deployment
Status String - The current deployment status of the security policy deployment and the security policy entry associated.
- deployment
Status StringDetails - Details about the current deployment status.
- entry
Details List<Property Map> - Details specific to the security policy entry.
- entry
Type String - The security policy entry type. Allowed values:
- FIREWALL_POLICY - The SQL Firewall policy entry type.
- AUDIT_POLICY - The audit policy entry type.
- CONFIG - Config changes deployment.
- id String
- The provider-assigned unique ID for this managed resource.
- security
Policy StringDeployment Id - The OCID of the security policy deployment associated.
- security
Policy StringEntry Id - The OCID of the security policy entry type associated.
- security
Policy StringEntry State Id - target
Id String - The OCID of the target on which the security policy is deployed.
Supporting Types
GetSecurityPolicyDeploymentSecurityPolicyEntryStateEntryDetail
- Datasafe
User stringExclusion Status - The status of Data Safe user exclusion in the audit policy.
- Entry
Type string - The security policy entry type. Allowed values:
- FIREWALL_POLICY - The SQL Firewall policy entry type.
- AUDIT_POLICY - The audit policy entry type.
- CONFIG - Config changes deployment.
- Exclude
Datasafe stringUser Failure Msg - Specifies why exclusion of the Data Safe user did not succeed.
- Time
Generated string - The time the the SQL Firewall policy was generated on the target database, in the format defined by RFC3339.
- Time
Status stringUpdated - The last date and time the status of the SQL Firewall policy was updated on the target database, in the format defined by RFC3339.
- Datasafe
User stringExclusion Status - The status of Data Safe user exclusion in the audit policy.
- Entry
Type string - The security policy entry type. Allowed values:
- FIREWALL_POLICY - The SQL Firewall policy entry type.
- AUDIT_POLICY - The audit policy entry type.
- CONFIG - Config changes deployment.
- Exclude
Datasafe stringUser Failure Msg - Specifies why exclusion of the Data Safe user did not succeed.
- Time
Generated string - The time the the SQL Firewall policy was generated on the target database, in the format defined by RFC3339.
- Time
Status stringUpdated - The last date and time the status of the SQL Firewall policy was updated on the target database, in the format defined by RFC3339.
- datasafe
User StringExclusion Status - The status of Data Safe user exclusion in the audit policy.
- entry
Type String - The security policy entry type. Allowed values:
- FIREWALL_POLICY - The SQL Firewall policy entry type.
- AUDIT_POLICY - The audit policy entry type.
- CONFIG - Config changes deployment.
- exclude
Datasafe StringUser Failure Msg - Specifies why exclusion of the Data Safe user did not succeed.
- time
Generated String - The time the the SQL Firewall policy was generated on the target database, in the format defined by RFC3339.
- time
Status StringUpdated - The last date and time the status of the SQL Firewall policy was updated on the target database, in the format defined by RFC3339.
- datasafe
User stringExclusion Status - The status of Data Safe user exclusion in the audit policy.
- entry
Type string - The security policy entry type. Allowed values:
- FIREWALL_POLICY - The SQL Firewall policy entry type.
- AUDIT_POLICY - The audit policy entry type.
- CONFIG - Config changes deployment.
- exclude
Datasafe stringUser Failure Msg - Specifies why exclusion of the Data Safe user did not succeed.
- time
Generated string - The time the the SQL Firewall policy was generated on the target database, in the format defined by RFC3339.
- time
Status stringUpdated - The last date and time the status of the SQL Firewall policy was updated on the target database, in the format defined by RFC3339.
- datasafe_
user_ strexclusion_ status - The status of Data Safe user exclusion in the audit policy.
- entry_
type str - The security policy entry type. Allowed values:
- FIREWALL_POLICY - The SQL Firewall policy entry type.
- AUDIT_POLICY - The audit policy entry type.
- CONFIG - Config changes deployment.
- exclude_
datasafe_ struser_ failure_ msg - Specifies why exclusion of the Data Safe user did not succeed.
- time_
generated str - The time the the SQL Firewall policy was generated on the target database, in the format defined by RFC3339.
- time_
status_ strupdated - The last date and time the status of the SQL Firewall policy was updated on the target database, in the format defined by RFC3339.
- datasafe
User StringExclusion Status - The status of Data Safe user exclusion in the audit policy.
- entry
Type String - The security policy entry type. Allowed values:
- FIREWALL_POLICY - The SQL Firewall policy entry type.
- AUDIT_POLICY - The audit policy entry type.
- CONFIG - Config changes deployment.
- exclude
Datasafe StringUser Failure Msg - Specifies why exclusion of the Data Safe user did not succeed.
- time
Generated String - The time the the SQL Firewall policy was generated on the target database, in the format defined by RFC3339.
- time
Status StringUpdated - The last date and time the status of the SQL Firewall policy was updated on the target database, in the format defined by RFC3339.
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
Viewing docs for Oracle Cloud Infrastructure v4.5.1
published on Friday, Apr 3, 2026 by Pulumi
published on Friday, Apr 3, 2026 by Pulumi
